clear;                               % fig1a: time series with quality 
load mfig1a.mat;                     % load data 
figure('color',[1,1,1]);             % figure frame 
for i=1:64; id=idc==i; cm=cjet(i,:); % loop colors 
 plot(t(id),ea(id),'.','markersize',12,'color',cm); hold on; 
end;                                 % plot time series with quality 
plot(tp1,ep1,'ok',tp2,ep2,'xk',tp3,ep3,'*k');     % quality thresholds
plot(tl,yl,'--k',tl,yl2,':k');                    % trigger limits 
w1=[58.6,260;58.6,400;57.4,625];                  % x-zoom 
w2=[58.95,260;58.95,400;60.1,625];                % y-zoom
plot(w1(:,1),w1(:,2),'-k',w2(:,1),w2(:,2),'-k')   % zoom 
hold off; 
set(gca,'color',[190,190,190]/255);               % grey background
set(gca,'xlim',[51.5,60.5],'ylim',[0,1500])       
xt=52:60; xtl=0:9; yt=0:250:1500; ytl=0:.25:1.5;  
set(gca,'xtick',xt,'xticklabel',xtl,'fontsize',14)
set(gca,'ytick',yt,'yticklabel',ytl); 
xlabel('[ t ] = ms'); ylabel('[ E ] = mVm^{-1}');
colormap(jet); h=colorbar; 
yt=(0:.125:1)'; ytl=(0:.5:4)'; 
set(h,'ytick',yt,'yticklabel',ytl);
ylabel(h,'[ q ] = 1','fontsize',14);
h=axes('position',[.13*4.4 0.11*4.6 0.775*.3 0.815*.425]); % inset figure
for i=1:64; id=idc==i; cm=cjet(i,:);              % loop colours
 plot(t(id),ea(id),'.','markersize',12,'color',cm); hold on; 
end;                                              % plot time series with quality
plot(tl,yl,'--k',tl,yl2,':k','linewidth',1);      % trigger limits 
hold off; 
set(gca,'xlim',[58.6,58.95],'ylim',[0,400]);
set(gca,'color',[190,190,190]/255)
xt=58.6:.1:58.9; xtl=6.6:.1:6.9; yt=0:100:400; ytl=0:.1:.4;
set(gca,'xtick',xt,'xticklabel',xtl,'fontsize',12); 
set(gca,'ytick',yt,'yticklabel',ytl); 
xlabel('[ t ] = ms'); ylabel('[ E ] = mVm^{-1}');
set(gcf,'inverthardcopy','off')
print fig1a.eps -depsc2;


