clear;                               % fig1b: electric field versus quality 
load mfig1b.mat;                     % load data 
figure(1); imagesc(flipud(log10(z1+z2+1)));            % stroke counts 
cjet=jet; cjet(1,:)=[0,0,0]/255; colormap(cjet); hold on; % colormap
plot(xh1,ec1,'w-','linewidth',3);                      % average quality 
plot(xh1,ec2,'w--','linewidth',3);                     % average random quality 
plot(65.0,315.21,'+w','markersize',20,'linewidth',3);  % fix point
hold off; 
xt=1:50:301; xl={'10^1','3\cdot10^1','10^2',...
 '3\cdot10^2','10^3','3\cdot10^3','10^4'};
set(gca,'xtick',xt,'xticklabel',xl,'tickdir','out','fontsize',14); 
yt=1:50:401; yl=4:-.5:0; 
set(gca,'ytick',yt,'yticklabel',yl,'fontsize',14); 
xlabel('[ E ] = \muVm^{-1}');
ylabel('[ q ] = 1');
h=colorbar; ylabel(h,'[ log_{10}(no. of strokes) ] = 1','fontsize',14)
print fig1b.eps -depsc2;


