clear;                                  % fig2a: lightning in sky 
load mfig2a.mat;                        % load data
h=figure(1); set(h,'color',[1,1,0.6]);  % figure frame 
surf(zx,zy,zz,zq,'linestyle','none'); hold on;              % stroke counts
plot3(zx1(:,1),zy1(:,1),zz1(:,1),'-w','linewidth',6);       % horizon
plot3(zx1(:,2:3),zy1(:,2:3),zz1(:,2:3),':w','linewidth',2); % latitudes
plot3(zx2,zy2,zz2,':w','linewidth',2); hold off;            % longitudes 
cjet=[zeros(35,3);jet]; colormap(cjet)                      % colormap
axis equal; axis off; 
camzoom(1.6); view(7,-15); view(40,-15); 
text(1.1,0-.25,0.02,'E','color','w','fontsize',20)
text(.22,.75,'N','color','w','fontsize',20)
text(-.9,-.10,'W','color','w','fontsize',20)
text(-.05,-1.1,0.03,'S','color','w','fontsize',20)
h=colorbar; set(h,'location','southoutside');
set(h,'limits',[15,70],'fontsize',14);
ylabel(h,'[ no. of strokes per pixel ] = 1','fontsize',14);
set(gcf,'inverthardcopy','off');
print fig2a.eps -depsc -opengl -r300;

